%Function img=loadimage(individual,condition)
%Parameters
%individual     Number of the individual.
%condition      Number of the image for that individual.
%
%Returned values
%img            The pixel image loaded from the database.
%
%Description
%Read and resize an image from the dataset. The database (directory images)
%must be in the same directory as this file.
%Note: the retourned image is of type double. To display the image, convert
%it to uint8 first. E.g.
%       imshow(uint8(loadimage(1,1)))
%
function img=loadimage(individual,condition)
imgroot='images';
individualList=[1 2 5];
conditionList=char(...
    'A+000E+20',...
    'A-020E+10',...
    'A-020E-10',...
    'A+020E+10',...    
    'A+000E-35',...
    'A+000E-35',...
    'A+035E+15',...
    'A+035E-20'...
    );
img=double(imread(fullfile(imgroot,['yaleB' num2str(individualList(individual),'%02d')],['yaleB' num2str(individualList(individual),'%02d') '_P00' conditionList(condition,:) '.pgm'])));
